Subject: Re: [rrg] Embedding geo info in PA addresses=>A compromise between geo-aggreg

From: [email-masked]
Date: Tue, 2 Feb 2010 06:13:47 EST

While Noel's critique completely aimed into the blue, Lixia's compromise is 
 no help either.
It makes no sense at all to use geographical coordinates together  with 
distance vector algorithm:
The fastest way to get from Wiesbaden,Germany, to New York, USA, is to  
drive EAST !!! to Frankfurt airport as to fly from there WESTBOUND. However it  
makes a lot of sense, to attach geographical coordinates to the nodes of 
the  internet (more precisely to the xTRs of the internet). While  
storing&updating the entire topology wouldn't scale, 5 different zooms (see  Google 
maps) would. All it takes is a BGP extension whereby a BGP-router  advertises a 
TARA-link which comprises :
the zoom-level, the 2 adjacent nodes(IPv4-address + TARA-locator), the  
link weight (number of hops) and an information whether it is a TARA-link or  
(importent during the incremental deployment phase) a GRE-Tunnel.
This is very little compared to LISP and others.
 
But again, such a compromise (geo.coordinates combined with DV) will truly  
compromise i.e. discredit the whole idea.
 
Heiner

In einer eMail vom 02.02.2010 08:12:11 Westeuropäische Normalzeit schreibt  
[email-masked]:

On Jan  14, 2010, at 7:54 AM, Noel Chiappa wrote:

> Ah, no.
>
>  Everyone who keeps going on about embedding geographic information   
> into the
> names used by the path-selection is missing  something really critical:
>
> ***Two computers which are _across  the street from each other_, in  
> geographic
> terms, may  be (and often, are) _many hops apart_, in network terms -  
>  because
> they are connected to different ISPs whose geographically  nearest  
> point of
> connection is a long way away (e.g. in  another city).***
>
> Geographic information about two computers  tells you _nothing_ about  
> how close
> they are to each  other, in terms of the path through the network  
> between  them.
> That is why the names used in path selection have to be based  on,  
> and embody,
> only the _actual network  connectivity_.
>
> Now, can we stop being hearing this ridiculous  nonsense about  
> embedding
> geographic information in the  names used by path-selection?
>
>         Noel

sorry for this belated reply: Noel, looks like you missed part of  the  
picture being discussed here.
I fully agree with your comment  if you talk about solely geo based  
addressing.

But if you  look at the msg subject: it is about coding the ISP/AS# as  
*first*  part of the address, and having geo info only *after* that. In  
this  case the above comment does not seem  applicable.

Lixia

_______________________________________________
rrg  mailing  list
[email-masked]
http://www.irtf.org/mailman/listinfo/rrg